\section{SERVICES}
\label{sec:services}


The following chapter comprises all used TMs and TCs for the project \projectname. Some definitions or information are important for all messages. Therefore this introduction contains a list of information which has to be respected when using the content of this chapter.

\begin{itemize}
\item \textbf{Length of the data field}\newline The complete length of the application data respectively the source data of the messages has to be an integral number of octets. This includes the demand to verify the number of octets for each message where optional fields are skipped.\\
The maximum length of the TM source data field is 241 Byte, the maximum length of the TC application data field is 219 Byte. These values have to be respected.

\item \textbf{Generation of TM(1,2)}\newline The "Failed Acceptance" report gets generated if the structure of the TC is not correct. A irregular structure is also given if the length of the \textit{Space Packet} is not an integral number of octets.

\item \textbf{Generation of TM(1,4)}\newline The "Failed Start of Execution" report gets generated if the application data of the TC is invalid. In this case the \textit{Subservice-Provider} rejects the TC. The reasons for rejecting a TC can vary for each one. The following points show the most common reasons for the rejection:
\begin{itemize}
\item Requesting a report about an unknown parameter/ED/report structure/scheduled activity etc.
\item Requesting to access an unknown parameter/ED/report structure/scheduled activity etc.
\item Requesting to create a parameter/ED/report structure with an ID which is already assigned.
\item Requesting to create a new definition after reaching the maximum number of possible definitions.
\item Requesting to delete a report which periodic generation is enabled.
\end{itemize}

\item \textbf{Declaration of the maximum value of a counter}\newline All declarations of the maximum values of counters have to be read as decimal values. The reason for defining the maximum values is to not exceed the size limit of 219 Byte per TC. The maximum values are calculated with the minimum size of the proximate fields which implies that less repetitions are possible if the proximate fields need more bytes.

\item \textbf{Colour of the messages}\newline Each TC is coloured yellow, each TM is coloured blue. The colouring is used to offer a fast overview over the kind of message.

\item \textbf{Generation of more reports}\newline If it is not possible to report all requested information within one report without exceeding the limit of a TM more reports containing the rest of the requested information are generated.

\item \textbf{Structure of \textit{Parameter Definitions}}\newline Each \textit{Parameter Definition} contains the parameter name, the PTC and PFC values and a description of the parameter. The name is marked \textbf{bold}, the PTC and PFC value is placed below the name. The description is placed at the right side of the parameter name.

\end{itemize}
